Bug 473587 - vim-common should own standard directories under /usr/share/vim/vimfiles
vim-common should own standard directories under /usr/share/vim/vimfiles
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 11:11 EST by Iain Arnell
Modified: 2008-12-01 17:37 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-01 10:02:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-29 11:11:45 EST
Description of problem:

In order to allow vim addons (e.g. vim-vimoutliner) to be packaged cleanly (i.e. not create unowned directories, nor own directories they shouldn't), it would seem sensible for vim-common to create and own a default directory structure under /usr/share/vim/vimfiles. At least colors, doc, ftdetect, ftplugin, indent, plugin, and syntax should exist (and maybe others?).


Version-Release number of selected component (if applicable): 7.2.025-2.fc10


Steps to Reproduce:
1. repoquery --repoid=rawhide -l vim-common | grep vimfiles

  
Actual results:
/usr/share/vim/vimfiles
/usr/share/vim/vimfiles/after
/usr/share/vim/vimfiles/template.spec


Expected results:
/usr/share/vim/vimfiles/
/usr/share/vim/vimfiles/after
/usr/share/vim/vimfiles/colors
/usr/share/vim/vimfiles/doc
/usr/share/vim/vimfiles/ftdetect
/usr/share/vim/vimfiles/ftplugin
/usr/share/vim/vimfiles/indent
/usr/share/vim/vimfiles/plugin
/usr/share/vim/vimfiles/syntax
/usr/share/vim/vimfiles/template.spec
Comment 1 Mamoru TASAKA 2008-11-30 04:31:15 EST
It seems that 7.2.026-2 has not been rebuilt on dist-f11 yet.
Comment 2 Karsten Hopp 2008-12-01 10:02:29 EST
I've build vim-7.2-060-1 in rawhive which fixes this.

Note You need to log in before you can comment on or make changes to this bug.